## layer-shell-qt 5.21.90

=== debian/changelog ===
layer-shell-qt (5.21.90-1) experimental; urgency=medium

  * First upload to Debian (Closes: #988577)

 -- Norbert Preining <norbert@preining.info>  Thu, 20 May 2021 18:31:09 +0900

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/(un)?stable/plasma/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## layer-shell-qt 5.22.0

=== debian/changelog ===
layer-shell-qt (5.22.0-0ubuntu2) impish; urgency=medium

  * Fix watch file for stable tarball location.

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 17:37:01 +0100

layer-shell-qt (5.22.0-0ubuntu1) impish; urgency=medium

  * Initial release to Ubuntu. (LP: #1931396)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 12:07:58 +0100

## layer-shell-qt 5.22.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Aleix Pol Gonzalez <aleixpol@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(layershellqt)
set(PROJECT_VERSION "5.22.1")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient Qml)
find_package(Qt5XkbCommonSupport REQUIRED PRIVATE)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)

find_package(WaylandScanner)
find_package(QtWaylandScanner)
find_package(Wayland 1.3 COMPONENTS Client Server)
find_package(WaylandProtocols)
find_package(PkgConfig REQUIRED)

pkg_check_modules(XKBCOMMON xkbcommon REQUIRED IMPORTED_TARGET)

set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX LAYERSHELLQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/layershellqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LayerShellQtConfigVersion.cmake"
                        SOVERSION 5)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
add_subdirectory(src)
add_subdirectory(tests)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/LayerShellQt)
install(EXPORT LayerShellQtTargets
        NAMESPACE LayerShellQt::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE LayerShellQtTargets.cmake)

configure_package_config_file(LayerShellQtConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/LayerShellQtConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LayerShellQtConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/LayerShellQtConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
layer-shell-qt (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:10:25 +0100

## layer-shell-qt 5.22.2

=== debian/changelog ===
layer-shell-qt (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:58:21 +0100

## layer-shell-qt 5.22.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.22.1")
+set(PROJECT_VERSION "5.22.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
layer-shell-qt (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:54:32 +0100

## layer-shell-qt 5.22.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.22.2")
+set(PROJECT_VERSION "5.22.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
layer-shell-qt (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:06:42 +0100

## layer-shell-qt 5.22.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.22.3")
+set(PROJECT_VERSION "5.22.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
layer-shell-qt (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:43:17 +0100

## layer-shell-qt 5.22.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.22.4")
+set(PROJECT_VERSION "5.22.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
layer-shell-qt (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:48:20 +0200

## layer-shell-qt 5.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.22.5")
+set(PROJECT_VERSION "5.23.0")
 set(PROJECT_VERSION_MAJOR 5)
+
+set(CMAKE_C_STANDARD 99)
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.82")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
layer-shell-qt (5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:52:44 +0100

## layer-shell-qt 5.23.2

=== debian/changelog ===
layer-shell-qt (5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:50:39 +0000

=== debian/control ===
Source: layer-shell-qt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82~),
               libqt5waylandclient5-dev (>= 5.15.0~),
               libwayland-bin,
               libwayland-dev (>= 1.3~),
               libxkbcommon-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols,
Standards-Version: 4.5.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git
Rules-Requires-Root: no

Package: layer-shell-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the plugin.

Package: liblayershellqtinterface-dev
Architecture: any
Depends: liblayershellqtinterface5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the development files.

Package: liblayershellqtinterface5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: layer-shell-qt (= ${binary:Version})
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the library.

## layer-shell-qt 5.23.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.23.0")
+set(PROJECT_VERSION "5.23.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.86")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
layer-shell-qt (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:39:50 +0900

layer-shell-qt (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Add myself as uploader.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:03 +0900

layer-shell-qt (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0)

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:15 +0900

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Uploaders: Norbert Preining <norbert@preining.info>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82~),
+               extra-cmake-modules (>= 5.86~),
                libqt5waylandclient5-dev (>= 5.15.0~),
                libwayland-bin,
                libwayland-dev (>= 1.3~),

## layer-shell-qt 5.23.4

=== debian/changelog ===
layer-shell-qt (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:57:09 +0000

layer-shell-qt (5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:18:16 +0000

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
                wayland-protocols,
 Standards-Version: 4.5.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
 Rules-Requires-Root: no
 
 Package: layer-shell-qt

## layer-shell-qt 5.23.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.23.3")
+set(PROJECT_VERSION "5.23.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:41:03 +0000

## layer-shell-qt 5.23.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.23.5")
+set(PROJECT_VERSION "5.23.90")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:19:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86~),
+               extra-cmake-modules (>= 5.90.0~),
                libqt5waylandclient5-dev (>= 5.15.0~),
                libwayland-bin,
                libwayland-dev (>= 1.3~),

## layer-shell-qt 5.24.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.23.90")
+set(PROJECT_VERSION "5.24.1")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:21:40 +0000

layer-shell-qt (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:27:50 +0000

## layer-shell-qt 5.24.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.24.1")
+set(PROJECT_VERSION "5.24.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:02:15 +0000

## layer-shell-qt 5.24.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.24.2")
+set(PROJECT_VERSION "5.24.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Aleix Pol Gonzalez <aleixpol@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

ecm_add_qtwayland_client_protocol(LAYER_SHELL_SOURCES PROTOCOL ${WaylandProtocols_DATADIR}/stable/xdg-shell/xdg-shell.xml BASENAME xdg-shell)
ecm_add_qtwayland_client_protocol(LAYER_SHELL_SOURCES PROTOCOL wlr-layer-shell-unstable-v1.xml BASENAME wlr-layer-shell-unstable-v1)

ecm_qt_declare_logging_category(LAYER_SHELL_SOURCES
    HEADER
        layershellqt_logging.h
    IDENTIFIER
        LAYERSHELLQT
    CATEGORY_NAME
        layershellqt
)

add_library(LayerShellQtInterface SHARED qwaylandlayersurface.cpp interfaces/window.cpp interfaces/shell.cpp qwaylandlayershellintegration.cpp qwaylandlayershell.cpp ${LAYER_SHELL_SOURCES})
target_link_libraries(LayerShellQtInterface PRIVATE Qt::Gui Qt::WaylandClientPrivate Qt::XkbCommonSupportPrivate Wayland::Client PkgConfig::XKBCOMMON)
target_include_directories(LayerShellQtInterface PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/LayerShellQt>"
                                              INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/>"
)

set_target_properties(LayerShellQtInterface PROPERTIES VERSION   ${LAYERSHELLQT_VERSION}
                                                       SOVERSION ${LAYERSHELLQT_SOVERSION}
                                                       EXPORT_NAME Interface
)

add_library(layer-shell SHARED qwaylandlayershellintegrationplugin.cpp)
target_link_libraries(layer-shell LayerShellQtInterface Qt::WaylandClient Qt::WaylandClientPrivate Qt::XkbCommonSupportPrivate Wayland::Client PkgConfig::XKBCOMMON)

ecm_generate_headers(LayerShellQt_HEADERS
    HEADER_NAMES
        Shell
        Window
    RELATIVE interfaces/
    REQUIRED_HEADERS LayerShellQt_HEADERS
)


generate_export_header(LayerShellQtInterface
    BASE_NAME LayerShellQtInterface
    EXPORT_MACRO_NAME LAYERSHELLQT_EXPORT
    EXPORT_FILE_NAME LayerShellQt/layershellqt_export.h
)

install(TARGETS layer-shell
        LIBRARY DESTINATION ${QT_PLUGIN_INSTALL_DIR}/wayland-shell-integration)

install(TARGETS LayerShellQtInterface EXPORT LayerShellQtTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${LayerShellQt_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/LayerShellQt/layershellqt_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/LayerShellQt COMPONENT Devel
)

=== debian/changelog ===
layer-shell-qt (5.24.3-1+deepin1+rb1) UNRELEASED; urgency=medium

  * update
  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Dec 2022 15:54:44 +0800

layer-shell-qt (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:45:58 +0100

layer-shell-qt (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Update d/copyright.
  * Update descriptions and sections.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:59 +0100

layer-shell-qt (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:44:21 +0100

layer-shell-qt (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:24:45 +0100

=== debian/control ===
Source: layer-shell-qt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.86~),
               libqt5waylandclient5-dev (>= 5.15.0~),
               libwayland-bin,
               libwayland-dev (>= 1.3~),
               libxkbcommon-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols,
Standards-Version: 4.6.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git
Rules-Requires-Root: no

Package: layer-shell-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: use the Wayland wl-layer-shell protocol - plugin
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the plugin.

Package: liblayershellqtinterface-dev
Architecture: any
Section: libdevel
Depends: liblayershellqtinterface5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - development files
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the development files.

Package: liblayershellqtinterface5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: layer-shell-qt (= ${binary:Version})
Description: use the Wayland wl-layer-shell protocol - run-time library
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the library.

## layer-shell-qt 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.24.3")
+set(PROJECT_VERSION "5.24.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:20:38 +0100

layer-shell-qt (5.24.3-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:36:57 +0300

layer-shell-qt (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:15:10 +0000

## layer-shell-qt 5.24.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.24.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:48:53 +0100

## layer-shell-qt 5.24.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.24.5")
+set(PROJECT_VERSION "5.24.6")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)
@@ -32,10 +32,10 @@
 include(KDEClangFormat)
 include(ECMQtDeclareLoggingCategory)
 
-find_package(WaylandScanner)
-find_package(QtWaylandScanner)
+find_package(WaylandScanner REQUIRED)
+find_package(QtWaylandScanner REQUIRED)
 find_package(Wayland 1.3 COMPONENTS Client Server)
-find_package(WaylandProtocols)
+find_package(WaylandProtocols REQUIRED)
 find_package(PkgConfig REQUIRED)
 
 pkg_check_modules(XKBCOMMON xkbcommon REQUIRED IMPORTED_TARGET)

=== debian/changelog ===
layer-shell-qt (5.24.6-0ubuntu0.2) jammy-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Jun 2024 09:17:44 -0400

layer-shell-qt (5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:06:30 +0100

=== debian/control ===
Source: layer-shell-qt
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libqt5waylandclient5-dev (>= 5.15.0~),
               libwayland-bin,
               libwayland-dev (>= 1.3~),
               libxkbcommon-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols,
Standards-Version: 4.5.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
Rules-Requires-Root: no

Package: layer-shell-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the plugin.

Package: liblayershellqtinterface-dev
Architecture: any
Depends: liblayershellqtinterface5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the development files.

Package: liblayershellqtinterface5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: layer-shell-qt (= ${binary:Version})
Description: use the Wayland wl-layer-shell protocol.
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the library.

## layer-shell-qt 5.24.90

=== debian/changelog ===
layer-shell-qt (5.24.90-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 20 May 2022 14:55:32 +0300

layer-shell-qt (5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:40:48 +0100

## layer-shell-qt 5.25.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,20 +4,18 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.24.6")
+set(PROJECT_VERSION "5.25.0")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.86")
+set(KF5_MIN_VERSION "5.91")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient Qml)
-find_package(Qt5XkbCommonSupport REQUIRED PRIVATE)
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
@@ -32,8 +30,12 @@
 include(KDEClangFormat)
 include(ECMQtDeclareLoggingCategory)
 
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient Qml)
+if (QT_MAJOR_VERSION EQUAL "5")
+    find_package(Qt5XkbCommonSupport REQUIRED PRIVATE)
+    find_package(QtWaylandScanner REQUIRED)
+endif()
 find_package(WaylandScanner REQUIRED)
-find_package(QtWaylandScanner REQUIRED)
 find_package(Wayland 1.3 COMPONENTS Client Server)
 find_package(WaylandProtocols REQUIRED)
 find_package(PkgConfig REQUIRED)

=== debian/changelog ===
layer-shell-qt (5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:06:12 +0100

## layer-shell-qt 5.25.1

=== debian/changelog ===
layer-shell-qt (5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:27:35 +0100

## layer-shell-qt 5.25.2

=== debian/changelog ===
layer-shell-qt (5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:17:14 +0100

## layer-shell-qt 5.25.3

=== debian/changelog ===
layer-shell-qt (5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:44:15 +0100

## layer-shell-qt 5.25.4

=== debian/changelog ===
layer-shell-qt (5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 10:40:28 +0100

layer-shell-qt (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:30:56 +0200

layer-shell-qt (5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:59:38 +0100

layer-shell-qt (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:30 +0200

layer-shell-qt (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:44:41 +0200

layer-shell-qt (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:12 +0200

layer-shell-qt (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Update symbols from build for 5.24.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:26:01 +0200

layer-shell-qt (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:18 +0200

layer-shell-qt (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:44:36 +0200

## layer-shell-qt 5.25.5

=== debian/changelog ===
layer-shell-qt (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:20:48 +0200

=== debian/control ===
Source: layer-shell-qt
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libwayland-bin,
               libwayland-dev (>= 1.3~),
               libxkbcommon-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols,
Standards-Version: 4.6.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git
Rules-Requires-Root: no

Package: layer-shell-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: use the Wayland wl-layer-shell protocol - plugin
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package contains the plugin.

Package: liblayershellqtinterface-dev
Architecture: any
Section: libdevel
Depends: liblayershellqtinterface5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: use the Wayland wl-layer-shell protocol - development files
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the development files.

Package: liblayershellqtinterface5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: layer-shell-qt (= ${binary:Version})
Description: use the Wayland wl-layer-shell protocol - run-time library
 Qt component to allow applications to make use of the Wayland
 wl-layer-shell protocol.
 .
 This package includes the library.

## layer-shell-qt 5.26.0

=== debian/changelog ===
layer-shell-qt (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:01 +0200

layer-shell-qt (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.25.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:21 +0200

## layer-shell-qt 5.26.2

=== debian/changelog ===
layer-shell-qt (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:10:17 +0000

layer-shell-qt (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:32:35 +0100

## layer-shell-qt 5.26.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.25.0")
+set(PROJECT_VERSION "5.26.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.91")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.98.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
layer-shell-qt (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:42:51 +0100

layer-shell-qt (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:30:12 +0200

## layer-shell-qt 5.26.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.26.3")
+set(PROJECT_VERSION "5.26.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 15:59:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
+               extra-cmake-modules (>= 5.98.0~),
                libqt5waylandclient5-dev (>= 5.15.2~),
                libwayland-bin,
                libwayland-dev (>= 1.3~),

## layer-shell-qt 5.26.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.26.4")
+set(PROJECT_VERSION "5.26.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:36 +0100

## layer-shell-qt 5.26.90

=== debian/changelog ===
layer-shell-qt (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:53 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                qtwayland5-dev-tools,
                qtwayland5-private-dev,
                wayland-protocols,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git

## layer-shell-qt 5.27.0

=== debian/changelog ===
layer-shell-qt (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:37 +0100

## layer-shell-qt 5.27.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.26.5")
+set(PROJECT_VERSION "5.27.1")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)
 
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.98.0")
+set(KF5_MIN_VERSION "5.102.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
@@ -23,12 +23,14 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMSetupVersion)
+include(ECMDeprecationSettings)
 include(ECMGenerateHeaders)
 include(CMakePackageConfigHelpers)
 include(FeatureSummary)
 include(GenerateExportHeader)
 include(KDEClangFormat)
 include(ECMQtDeclareLoggingCategory)
+
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient Qml)
 if (QT_MAJOR_VERSION EQUAL "5")
@@ -53,10 +55,15 @@
 
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.101
+)
+
 add_subdirectory(src)
 add_subdirectory(tests)
 
-set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/LayerShellQt)
+set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_CMAKEPACKAGEDIR}/LayerShellQt)
 install(EXPORT LayerShellQtTargets
         NAMESPACE LayerShellQt::
         DESTINATION ${CMAKECONFIG_INSTALL_DIR}

=== debian/changelog ===
layer-shell-qt (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:11 +0000

layer-shell-qt (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:14 +0000

layer-shell-qt (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:30:11 +0000

layer-shell-qt (5.26.5-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:27:58 +0300

layer-shell-qt (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 19:03:53 +0000

layer-shell-qt (5.26.4-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:50:43 +0300

layer-shell-qt (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:04:15 +0000

layer-shell-qt (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:11:48 +0000

## layer-shell-qt 5.27.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.27.1")
+set(PROJECT_VERSION "5.27.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:59:26 +0100

## layer-shell-qt 5.27.3

=== debian/changelog ===
layer-shell-qt (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:44 +0000

layer-shell-qt (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:28 +0000

## layer-shell-qt 5.27.4

=== debian/changelog ===
layer-shell-qt (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:38:15 +0100

## layer-shell-qt 5.27.5

=== debian/changelog ===
layer-shell-qt (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:41 +0200

layer-shell-qt (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:26:22 +0200

layer-shell-qt (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:15:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
                libqt5waylandclient5-dev (>= 5.15.2~),
                libwayland-bin,
                libwayland-dev (>= 1.3~),
@@ -27,7 +27,7 @@
 
 Package: layer-shell-qt
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: use the Wayland wl-layer-shell protocol - plugin
  Qt component to allow applications to make use of the Wayland
  wl-layer-shell protocol.
@@ -50,8 +50,8 @@
 Package: liblayershellqtinterface5
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: layer-shell-qt (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: layer-shell-qt (= ${binary:Version}),
 Description: use the Wayland wl-layer-shell protocol - run-time library
  Qt component to allow applications to make use of the Wayland
  wl-layer-shell protocol.

## layer-shell-qt 5.27.7

=== debian/changelog ===
layer-shell-qt (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:03 +0100

layer-shell-qt (5.27.6-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 21:12:59 +0300

layer-shell-qt (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:36:33 +0100

layer-shell-qt (5.27.5-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:10:10 +0300

layer-shell-qt (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:40 +0100

## layer-shell-qt 5.27.8

=== debian/changelog ===
layer-shell-qt (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:50 +0100

layer-shell-qt (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:45:50 +0100

layer-shell-qt (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:49:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: layer-shell-qt
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -21,8 +22,8 @@
                wayland-protocols,
 Standards-Version: 4.6.2
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/layer-shell-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/layer-shell-qt
 Rules-Requires-Root: no
 
 Package: layer-shell-qt

## layer-shell-qt 5.27.9

=== debian/changelog ===
layer-shell-qt (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:02 +0100

## layer-shell-qt 5.27.10

=== debian/changelog ===
layer-shell-qt (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:49 +0000

## layer-shell-qt 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(layershellqt)
-set(PROJECT_VERSION "5.27.2")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
layer-shell-qt (5.27.11-0ubuntu3) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 05 Apr 2024 15:41:00 +0300

layer-shell-qt (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:42:43 +0000

layer-shell-qt (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:22:45 +0000

layer-shell-qt (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:33:22 +0000

layer-shell-qt (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:51:47 -0700

layer-shell-qt (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:16:03 +0100

layer-shell-qt (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:52:45 +0200

layer-shell-qt (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:47:54 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libwayland-bin,
                libwayland-dev (>= 1.3~),
                libxkbcommon-dev,
-               pkg-config,
                pkg-kde-tools (>= 0.15.18~),
+               pkgconf,
                qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper,kf5

override_dh_clean:
	rm -rf .clang-format
	dh_clean
